<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		$imgs_url = get_template_directory_uri().'/images/';
		$imgs_url_demo = get_template_directory_uri().'/demo';



// Set the Options Array
global $of_options;
$of_options = array();
 

 

/*-----------------------------------------------------------------------------------*/
/* Header Settings */
/*-----------------------------------------------------------------------------------*/

$of_options[] = array( 	"name" 		=> "Header Settings",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-header.png"
				);


$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_7",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Custom Logo.', 'omago-wp') ."</h3>
						". esc_html__('Upload a custom logo image for your site.', 'omago-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Custom Logo.', 'omago-wp' ),
						"desc" 		=> esc_html__('Upload a custom logo image for your site here. Size for height should be 90px or 180px for a better display, for retina screens.', 'omago-wp'),
						"id" 		=> "omago_wp_logo",
						"std" 		=> $imgs_url.'logo.png',
						"type" 		=> "upload");
					

$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_social",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Header Social Icons.', 'omago-wp') ."</h3>
						". esc_html__('Change # with your social link.', 'omago-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__('Display Social Icons?', 'omago-wp'),
						"desc" 		=> esc_html__('Display Social Icons?', 'omago-wp'),
						"id" 		=> "omago_wp_topicons_display",
						"std" 		=> esc_html__( 'No', 'omago-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
									   esc_html__( 'No', 'omago-wp' ),
									   esc_html__( 'Yes', 'omago-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Social Icons.', 'omago-wp' ),
						"desc" 		=> __('For more social icons go to <a href=\"http://fontawesome.io/icons/\" target=\"_blank\">Font Awesome</a> and at the bottom you have Brand Icons! <br /><br />Change <code>#</code> with your your social link, like this<code>https://www.instagram.com/envato/</code>', 'omago-wp'),
						"id" 		=> "omago_wp_top_icons",
						"std" 		=> "
<li><a href=\"#\"><i class=\"fa fa-facebook\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-pinterest\"></i></a></li>
<li><a href=\"#\"><i class=\"fa fa-instagram\"></i></a></li>
",
						"type" 		=> "textarea");	

$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_02",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">". esc_html__('Slider - Most Viewed Articles.', 'omago-wp') ."</h3>
						". esc_html__('Yes / No - Select Yes to display the slider.', 'omago-wp') ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__('Display Most Viewed Articles.', 'omago-wp'),
						"desc" 		=> esc_html__('Display Most Viewed Articles Slider? This is primary option, if you select NO, the slider will be completely disabled in all pages / articles.', 'omago-wp'),
						"id" 		=> "omago_wp_mostviewed_display",
						"std" 		=> esc_html__( 'No', 'omago-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
									   esc_html__( 'No', 'omago-wp' ),
									   esc_html__( 'Yes', 'omago-wp' )
									),
					);



/*-----------------------------------------------------------------------------------*/
/* Blog Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> "AD / Post Settings",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-money.png"
				);


$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Header (top) - Responsive Leaderboard AD Area ', 'omago-wp' )."</h3>
						". esc_html__( 'AD Area displayed below the header.', 'omago-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Header Banner?', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Display Header Banner?', 'omago-wp' ),
						"id" 		=> "omago_wp_display_banner_top",
						"std" 		=> esc_html__( 'No', 'omago-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'omago-wp' ),
										esc_html__( 'Yes', 'omago-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Responsive Leaderboard AD Area', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Paste your HTML or JavaScript code here. AD Area displayed below the header.', 'omago-wp' ),
						"id" 		=> "omago_wp_adtop",
						"std" 		=> "<span>Responsive Leaderboard AD Area</span>",
						"type" 		=> "textarea");	


$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Footer (bottom) - Responsive Leaderboard AD Area ', 'omago-wp' )."</h3>
						". esc_html__( 'AD Area displayed below the content.', 'omago-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Display Footer Banner?', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Display Footer Banner?', 'omago-wp' ),
						"id" 		=> "omago_wp_display_banner_bottom",
						"std" 		=> esc_html__( 'No', 'omago-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'omago-wp' ),
										esc_html__( 'Yes', 'omago-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Responsive Leaderboard AD Area', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Paste your HTML or JavaScript code here. AD Area displayed below the content.', 'omago-wp' ),
						"id" 		=> "omago_wp_adbottom",
						"std" 		=> "<span>Responsive Leaderboard AD Area</span>",
						"type" 		=> "textarea");	



$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Post Options', 'omago-wp' )."</h3>
						". esc_html__( 'Change data format, hide first big letter, etc.', 'omago-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");



$of_options[] = array( 	"name" 		=> esc_html__( 'Date Format', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Formatting Date and Time.', 'omago-wp' ),
						"id" 		=> "omago_wp_date_format",
						"std" 		=> esc_html__( '23 June 17', 'omago-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( '23 June 17', 'omago-wp' ),
										esc_html__( '1 week ago', 'omago-wp' )
									),
					);

$of_options[] = array( 	"name" 		=> esc_html__( 'Display big first capital letter for article page?', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Display big first capital letter for article page?', 'omago-wp' ),
						"id" 		=> "omago_wp_display_bigletter",
						"std" 		=> esc_html__( 'No', 'omago-wp' ),
						"type" 		=> "select",
						"options" 	=> array(
										esc_html__( 'No', 'omago-wp' ),
										esc_html__( 'Yes', 'omago-wp' )
									),
					);


/*-----------------------------------------------------------------------------------*/
/* Style Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Style Settings', 'omago-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png");


$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'omago-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_14",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'omago-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'omago-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (black)', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'omago-wp' ),
						"id" 		=> "omago_wp_main_color1",
						"std" 		=> "#192b33",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (red)', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'omago-wp' ),
						"id" 		=> "omago_wp_main_color2",
						"std" 		=> "#e22428",
						"type" 		=> "color"
				);

$of_options[] = array( 	"name" 		=> esc_html__( 'Main Color (yellow)', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'omago-wp' ),
						"id" 		=> "omago_wp_main_color3",
						"std" 		=> "#f0ca00",
						"type" 		=> "color"
				);




$of_options[] = array( 	"name" 		=> esc_html__( 'Style', 'omago-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_11",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Style Settings', 'omago-wp' )."</h3>
						". esc_html__( 'Use the color picker to change the main color of the site to match your brand color.', 'omago-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");


$of_options[] = array( 	"name" 		=> esc_html__( 'Entry Link Color', 'omago-wp' ),
						"desc" 		=> esc_html__( 'Use the color picker to change the entry link color on article or default / full width pages.', 'omago-wp' ),
						"id" 		=> "omago_wp_entry_linkcolor",
						"std" 		=> "#e22428",
						"type" 		=> "color"
				);


/*-----------------------------------------------------------------------------------*/
/* Footer Settings */
/*-----------------------------------------------------------------------------------*/
$of_options[] = array( 	"name" 		=> esc_html__( 'Footer Settings', 'omago-wp' ),
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-settings.png");


$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright', 'omago-wp' ),
						"desc" 		=> "",
						"id" 		=> "introduction_copy",
						"std" 		=> "<h3 style=\"margin: 0 0 10px;\">".esc_html__( 'Copyright.', 'omago-wp' )."</h3>
						". esc_html__( 'Footer Copyright.', 'omago-wp' ) ."",
						"icon" 		=> true,
						"type" 		=> "info");

$of_options[] = array( 	"name" 		=> esc_html__( 'Copyright.', 'omago-wp' ),
						"desc" 		=> esc_html__( 'You can use HTML code. Change # with your link.', 'omago-wp' ),
						"id" 		=> "omago_wp_copyright",
						"std" 		=> "2019 © <a href=\"https://anthemes.com/theme/omago-news/\">OmagoNews </a>Suh. All rights reserved. WordPress Theme by <a href=\"https://anthemes.com\">Anthemes.com</a><br />
Made with love in Northwest Indiana/Chicago.",
						"type" 		=> "textarea");	
 


				
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
