<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
<?php
    // Logo
    $omago_wp_logo = get_theme_mod('omago_wp_logo');
    if (empty($omago_wp_logo)) { $omago_wp_logo = get_template_directory_uri().'/images/logo.png'; }

    // Header Social icons
    $omago_wp_top_icons = get_theme_mod('omago_wp_top_icons'); 
    $omago_wp_topicons_display = get_theme_mod('omago_wp_topicons_display');
    if (empty($omago_wp_topicons_display)) { $omago_wp_topicons_display = 'No'; } 

    // Top Slider, Most viewed Articles
    $omago_wp_mostviewed_display = get_theme_mod('omago_wp_mostviewed_display');
    if (empty($omago_wp_mostviewed_display)) { $omago_wp_mostviewed_display = 'No'; }   

    // AD Area
    $omago_wp_adtop = get_theme_mod('omago_wp_adtop');

    // Display Banners (Yes/No)
    $omago_wp_display_banner_top = get_theme_mod('omago_wp_display_banner_top');
    if (empty($omago_wp_display_banner_top)) { $omago_wp_display_banner_top = 'No'; }    
    
    // Date Format
    $omago_wp_date_format = get_theme_mod('omago_wp_date_format');
    if (empty($omago_wp_date_format)) { $omago_wp_date_format = '23 June 17'; }
?>
    <!-- Meta Tags -->
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

    <!-- Mobile Device Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1"> 

    <!-- Theme output -->
    <?php wp_head(); ?> 

</head>
<body <?php body_class(); ?>>


<!-- Begin Header -->
<header>
         <div class="wrap">
            <!-- Logo -->    
            <a href="<?php echo esc_url(home_url( '/' )); ?>"><img class="logo" src="<?php echo esc_url($omago_wp_logo); ?>" alt="<?php esc_attr(bloginfo('sitename')); ?>" /></a>

            <!-- Navigation Menu -->
            <?php if ( has_nav_menu( 'omago_wp_primary_menu' ) ) : // Check if there's a menu assigned to the 'Header Navigation' location. ?>
            <nav id="myjquerymenu" class="jquerycssmenu">
                <?php wp_nav_menu( array( 'container' => false, 'items_wrap' => '<ul>%3$s</ul>', 'theme_location' =>   'omago_wp_primary_menu' ) ); ?>
            </nav><!-- end #myjquerymenu -->
            <?php endif; // End check for menu. ?>

            <ul class="top-social">
                <?php if ($omago_wp_topicons_display == 'Yes') { if (!empty($omago_wp_top_icons)) { ?><?php echo wp_kses_post(stripslashes($omago_wp_top_icons)); ?><?php } } ?>
                <li class="sbtn"><a role="button"><i id="myBtn" class="fa fa-search"></i></a></li>
            </ul>
        </div><!-- end .wrap -->
</header><!-- end #header --> 


<?php if ( is_page_template( 'template-half-page.php' ) ) { } else { 
if ($omago_wp_mostviewed_display == 'Yes') : ?>
<!-- Top Slider Section -->
<div id="content-top-slider">
    <div id="top-slider">
     
                <ul class="modern-articles">
                <?php $omago_wp_top_views_slider = new WP_Query(array( 'ignore_sticky_posts' => esc_attr(1), 'meta_key' => 'post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'posts_per_page' =>  esc_attr(12) )); // number to display more / less ?>
                <?php while ($omago_wp_top_views_slider->have_posts()) : $omago_wp_top_views_slider->the_post(); ?> 

                    <li <?php post_class('') ?>>

                        <?php if ( has_post_thumbnail()) { ?>
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('omago_wp-thumbnail-blog-articles', array('title' => "")); ?></a>
                        <?php } else { ?> 
                            <a href="<?php the_permalink(); ?>"> <img src="<?php echo get_template_directory_uri(); ?>/images/no-photo-321.png" alt="article image" /></a>                             
                        <?php } ?><div class="clear"></div> 

                            <div class="artbtn-category"><?php $omago_wp_category = get_the_category(); if ($omago_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $omago_wp_category[0]->term_id ) . '">' . $omago_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .artbtn-category -->

                        <div class="content-list">
                             <a href="<?php the_permalink(); ?>"><h2><?php if (function_exists('omago_wp_the_title')) { echo omago_wp_the_title( 50, ' ..'); } else { echo the_title(); } ?> </h2></a>
                             <div class="clear"></div>
                             <!-- Post Data  -->
                             <div class="post-data">
                                <?php if (function_exists('getPostViews_omago_wp')) { ?>
                                 <div class="post-views"><a href="<?php the_permalink(); ?>"><?php echo getPostViews_omago_wp(get_the_ID()); ?> <?php esc_html_e('Views', 'omago-wp'); ?></a></div> <i class="fa fa-times"></i>
                                 <div class="time-article">
                                    <?php if ($omago_wp_date_format == '1 week ago') { ?>
                                        <?php if ( function_exists( 'time_ago_omago_wp' ) ) { ?>
                                            <a href="<?php the_permalink(); ?>"><?php echo  time_ago_omago_wp(); ?> <?php esc_html_e('ago', 'omago-wp'); ?></a>                 
                                        <?php } ?>
                                        <?php } else { // Default Date Format ?>
                                            <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                    <?php } ?>
                                 </div><i class="fa fa-times timeshome"></i>
                                 <div class="post-share">
                                    <?php if ( function_exists( 'omago_wp_small_social_share' ) ) { omago_wp_small_social_share(); } ?>
                                 </div>
                                 <?php } else { ?>
                                     <div class="time-article timemargin">
                                        <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                     </div>
                                 <?php } ?>                                 
                                 <div class="clear"></div>
                             </div>
                        </div><!-- end .content -->
                    </li>

                <?php endwhile; 
                /* Restore original Post Data */
                wp_reset_postdata(); ?>
                </ul>
                <!-- end .modern-articles -->

    </div><!-- end #top-slider -->
</div><!-- end #content-top-slider -->
<div class="clear"></div>
<?php endif; } ?> 

<?php if ( is_page_template( 'template-half-page.php' ) ) { } else {  ?>
<?php if ($omago_wp_display_banner_top == 'Yes') { ?>
  <?php if (!empty($omago_wp_adtop)) { ?>
    <div class="responsive-area">
        <span><?php echo stripslashes($omago_wp_adtop); ?></span>
    </div>
<?php } } } ?> 

<!-- The Modal for Search -->
<div id="myModal" class="modal">
  <!-- Search Modal content -->
  <div class="modal-content">
        <span class="close">×</span>
        <?php get_search_form(); ?>
  </div><!-- end .modal-content -->
</div><!-- end #myModal -->