<?php get_header(); // add header  ?>
<?php
    // Date Format
    $omago_wp_date_format = get_theme_mod('omago_wp_date_format');
    if (empty($omago_wp_date_format)) { $omago_wp_date_format = '23 June 17'; }
?>


<!-- Begin wrap middle -->
<div class="wrap-middle">

    <!-- Begin Main Wrap Content -->
    <div class="wrap-content">
        <div class="wrap-left-content">

            <!-- Begin Latest Articles Content -->
            <div class="articles-content">
                <?php if (is_category()) { ?> 
                    <h3 class="index-title"><?php esc_html_e( 'All posts in:', 'omago-wp' ); ?> <span><?php single_cat_title(''); ?></span></h3>
                <?php } elseif (is_tag()) { ?>
                    <h3 class="index-title"><?php esc_html_e( 'All posts tagged in:', 'omago-wp' ); ?> <span><?php single_tag_title(''); ?></span></h3>
                <?php } elseif (is_search()) { ?>
                    <h3 class="index-title"><?php esc_html_e( 'Search Results for:', 'omago-wp' ); ?> <span><?php printf( esc_html__( '%s', 'omago-wp' ), '' . get_search_query() . '' ); ?></span></h3>
                <?php } elseif (is_author()) { ?> 
                    <h3 class="index-title"><?php esc_html_e( 'All posts by:', 'omago-wp' ); ?> <span><?php the_author(); ?></span></h3>
                <?php } ?>

                <ul class="modern-articles">
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

                    <li <?php post_class('grid-item') ?> id="post-<?php the_ID(); ?>">

                        <?php if ( has_post_thumbnail()) { ?>
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('omago_wp-thumbnail-blog-articles', array('title' => "")); ?></a>
                        <?php } else { ?> 
                            <div class="noimg"></div>                          
                        <?php } ?><div class="clear"></div> 

                            <div class="artbtn-category"><?php $omago_wp_category = get_the_category(); if ($omago_wp_category) 
                            { echo wp_kses_post('<a href="' . get_category_link( $omago_wp_category[0]->term_id ) . '">' . $omago_wp_category[0]->name.'</a> ');}  ?>
                            </div><!-- end .artbtn-category -->

                        <div class="content-list">
                             <a href="<?php the_permalink(); ?>"><h2><?php the_title(); ?> </h2></a>
                             <div class="clear"></div>
                             <!-- Post Data  -->
                             <div class="post-data">
                             <?php if (function_exists('getPostViews_omago_wp')) { ?>
                                 <div class="post-views"><a href="<?php the_permalink(); ?>"><?php echo getPostViews_omago_wp(get_the_ID()); ?> <?php esc_html_e('Views', 'omago-wp'); ?></a></div> <i class="fa fa-times"></i>
                                 <div class="time-article">
                                    <?php if ($omago_wp_date_format == '1 week ago') { ?>
                                        <a href="<?php the_permalink(); ?>"><?php echo  time_ago_omago_wp(); ?> <?php esc_html_e('ago', 'omago-wp'); ?></a>                 
                                    <?php } else { // Default Date Format ?>
                                        <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                    <?php } ?>
                                 </div><i class="fa fa-times timeshome"></i>
                                 <div class="post-share">
                                    <?php if ( function_exists( 'omago_wp_small_social_share' ) ) { omago_wp_small_social_share(); } ?>
                                 </div>
                             <?php } else { ?>
                                 <div class="time-article timemargin">
                                    <a href="<?php the_permalink(); ?>"><?php the_time('M j, Y'); ?></a>
                                 </div>
                             <?php } ?>
                                 <div class="clear"></div>
                             </div><!-- end .post-data -->
                        </div><!-- end .content -->
                    </li>

                <?php endwhile; ?>    
                </ul>
                <!-- end .modern-articles -->


                <!-- Pagination -->
                <div class="clear"></div>
                <?php if(function_exists('wp_pagenavi')) { ?>
                    <?php wp_pagenavi(); ?>
                <?php } else { ?>
                <div class="defaultpag">
                    <div class="sright"><?php next_posts_link('' . esc_html__('Older Entries', 'omago-wp') . ' &rsaquo;'); ?></div>
                    <div class="sleft"><?php previous_posts_link('&lsaquo; ' . esc_html__('Newer Entries', 'omago-wp') . ''); ?></div>
                </div>
                <?php } ?>
                <!-- pagination -->

                <?php else : ?> 
                    <div class="not-found">
                        <p><?php esc_html_e('Not Found. Sorry, but you are looking for something that isn\'t here.', 'omago-wp'); ?></p>
                    </div>
                    <div class="clear"></div> 
                <?php endif; ?>  


            </div><!-- end .articles-content -->
        </div><!-- end .wrap-left-content -->
    
     
        <!-- Begin Sidebar (right) -->
        <?php  get_sidebar(); // add sidebar ?>
        <!-- end #sidebar  (right) -->    
    </div><!-- end .wrap-content -->

        
<div class="clear"></div>
</div><!-- end .wrap-middle -->
<?php get_footer(); // add footer  ?>